#ifndef ACCOMMODATION_H
#define ACCOMMODATION_H

#include "accommodation_global.h"
#include <core.h>
#include <QObject>
#include <QtPlugin>

class ACCOMMODATIONSHARED_EXPORT Accommodation : public QObject, IMetaDataPlugin
{
    Q_OBJECT

    Q_PLUGIN_METADATA(IID PluginInterface_iid FILE "accommodation.json")
    Q_INTERFACES(IPlugin)

public:
    Accommodation();

   // QString pluginName() Q_DECL_OVERRIDE;
   // void init(const QJsonObject &metaData) Q_DECL_OVERRIDE;
   // QString pluginId() Q_DECL_OVERRIDE;

protected:
    void initServiceUi() Q_DECL_OVERRIDE;


    // IPlugin interface
public:
    //QWidget *ui();
};

#endif // ACCOMMODATION_H
